Bug 27766 - Hide expired news items by default
Summary: Hide expired news items by default
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-23 17:18 UTC by Owen Leonard
Modified: 2021-03-19 13:31 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch modifies the news page in the staff interface so that expired news items are hidden by default. A checkbox in the sidebar can be checked to show the hidden rows.
Version(s) released in:
21.05.00


Attachments
Bug 27766: Hide expired news items by default (3.30 KB, patch)
2021-02-23 17:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27766: Hide expired news items by default (3.36 KB, patch)
2021-02-23 17:42 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27766: Hide expired news items by default (3.42 KB, patch)
2021-03-04 15:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-02-23 17:18:00 UTC
I propose that expired news items be hidden by default, with a checkbox in the sidebar for showing them.
Comment 1 Owen Leonard 2021-02-23 17:35:37 UTC
Created attachment 117213 [details] [review]
Bug 27766: Hide expired news items by default

This patch modifies the news page in the staff interface so that expired
news items are hidden by default. A checkbox in the sidebar can be
checked to show the hidden rows.

To test you should have multiple news items, some expired and some
unexpired.

 - Apply the patch and go to Tools -> News
 - The table of news items as it initially appears should not include
   any expired news items.
 - In the sidebar, check the "Show expired" checkbox.
 - The expired news items should now appear.
Comment 2 PTFS Europe Sandboxes 2021-02-23 17:42:31 UTC
Created attachment 117214 [details] [review]
Bug 27766: Hide expired news items by default

This patch modifies the news page in the staff interface so that expired
news items are hidden by default. A checkbox in the sidebar can be
checked to show the hidden rows.

To test you should have multiple news items, some expired and some
unexpired.

 - Apply the patch and go to Tools -> News
 - The table of news items as it initially appears should not include
   any expired news items.
 - In the sidebar, check the "Show expired" checkbox.
 - The expired news items should now appear.

Signed-off-by: Barbara Johnson  <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2021-03-04 15:49:36 UTC
Created attachment 117739 [details] [review]
Bug 27766: Hide expired news items by default

This patch modifies the news page in the staff interface so that expired
news items are hidden by default. A checkbox in the sidebar can be
checked to show the hidden rows.

To test you should have multiple news items, some expired and some
unexpired.

 - Apply the patch and go to Tools -> News
 - The table of news items as it initially appears should not include
   any expired news items.
 - In the sidebar, check the "Show expired" checkbox.
 - The expired news items should now appear.

Signed-off-by: Barbara Johnson  <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-03-09 15:04:32 UTC
I would have preferred to have it on top of the table, but not considering it blocker (can be argued it's in the filter block as well!).
Comment 5 Jonathan Druart 2021-03-09 16:20:18 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-03-19 13:31:11 UTC
I like that.

Should we consider backport to 20.11.x ?